org.eclipse.mat.ui.snapshot.views.inspector

## Class InspectorView.InfoItem

- java.lang.Object
- - org.eclipse.mat.ui.snapshot.views.inspector.InspectorView.InfoItem

Enclosing class:
  InspectorView

    public class InspectorView.InfoItem
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`InfoItem(org.eclipse.jface.resource.ImageDescriptor descriptor, String text)`
`InfoItem(int objectId, org.eclipse.jface.resource.ImageDescriptor descriptor, String text)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.jface.resource.ImageDescriptor` `getDescriptor()`
`String` `getText()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InfoItem

    public InfoItem(org.eclipse.jface.resource.ImageDescriptor descriptor,
                    String text)

#### InfoItem

    public InfoItem(int objectId,
                    org.eclipse.jface.resource.ImageDescriptor descriptor,
                    String text)

### Method Detail

#### getDescriptor

    public org.eclipse.jface.resource.ImageDescriptor getDescriptor()

#### getText

    public String getText()